Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class ContactPersonPrimary

    java.lang.Object
      org.deegree.ogcbase.ContactPersonPrimary

    public class ContactPersonPrimary

extends Object

Names the contact person based on ISO 19115.

Since:
  1.0
Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Markus Schneider

Constructor Summary
`ContactPersonPrimary(String contactPerson, String contactOrganization)` constructor initializing the class with ContactPersonPrimary Strings

Method Summary
`String` | `getContactOrganization()` returns the name of the organization that can be contacted / the contact person works at.
`String` | `getContactPerson()` returns the name of the contact person
`void` | `setContactOrganization(String contactOrganization)` sets the name of the organization that can be contacted / the contact person works at.
`void` | `setContactPerson(String contactPerson)` sets the name of the contact person

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactPersonPrimary

    public ContactPersonPrimary(String contactPerson,
                                String contactOrganization)

  constructor initializing the class with ContactPersonPrimary Strings

  Parameters:
    `contactPerson` -
    `contactOrganization` -

Method Detail

### getContactPerson

    public String getContactPerson()

  returns the name of the contact person

  Returns:
    the name of the contact person

### setContactPerson

    public void setContactPerson(String contactPerson)

  sets the name of the contact person

  Parameters:
    `contactPerson` -

### getContactOrganization

    public String getContactOrganization()

  returns the name of the organization that can be contacted / the contact person works at.

  Returns:
    the name of the organization that can be contacted / the contact person works at.

### setContactOrganization

    public void setContactOrganization(String contactOrganization)

  sets the name of the organization that can be contacted / the contact person works at.

  Parameters:
    `contactOrganization` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org